Skip to content
Start here

Item Logs.

client.aiSearch.namespaces.instances.items.logs(stringname, stringid, stringitemId, ItemLogsParams { account_id, cursor, limit } params, RequestOptionsoptions?): ItemLogsResponse { action, chunkCount, errorType, 4 more }
GET/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}/logs

Lists processing logs for a specific item in an AI Search instance.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
name: string
id: string

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
itemId: string
params: ItemLogsParams { account_id, cursor, limit }
account_id: string

Path param

cursor?: string

Query param

maxLength512
limit?: number

Query param

maximum100
minimum1
ReturnsExpand Collapse
ItemLogsResponse = Array<ItemLogsResponseItem>
action: string
chunkCount: number | null
errorType: string | null
fileKey: string
message: string | null
processingTimeMs: number | null
timestamp: string
formatdate-time

Item Logs.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.aiSearch.namespaces.instances.items.logs(
  'my-namespace',
  'my-ai-search',
  'item_id',
  { account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22' },
);

console.log(response);
{
  "result": [
    {
      "action": "action",
      "chunkCount": 0,
      "errorType": "errorType",
      "fileKey": "fileKey",
      "message": "message",
      "processingTimeMs": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0,
    "truncated": true
  },
  "success": true
}
Returns Examples
{
  "result": [
    {
      "action": "action",
      "chunkCount": 0,
      "errorType": "errorType",
      "fileKey": "fileKey",
      "message": "message",
      "processingTimeMs": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ],
  "result_info": {
    "count": 0,
    "cursor": "cursor",
    "per_page": 0,
    "truncated": true
  },
  "success": true
}